ubuntu/+source/python-pbr:debian/buster

Last commit made on 2018-12-30
Get this branch:
git clone -b debian/buster https://git.launchpad.net/ubuntu/+source/python-pbr
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
debian/buster
Repository:
lp:ubuntu/+source/python-pbr

Recent commits

267b79a... by Thomas Goirand <email address hidden> on 2018-12-30

Import patches-unapplied version 4.2.0-5 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 514e3b2a77389bf30d5b3dd607cb618ef8ee889b

New changelog entries:
  [ Mattia Rizzolo ]
  * Team upload.
  * Mark the build-depends on python(3)-all-dev as <!nocheck> and move them to
    Build-Depends-Indep.
  * Bump Standards-Version to 4.2.1:
    + Set Rules-Requires-Root:no.
  * Mark python-pbr-doc as Multi-Arch:foreign (from the m-a hinter).
  [ Thomas Goirand ]
  * Add patches to fix FTBFS (Closes: #917678):
    - fix-wheel.install.py-doesnt-exist-anymore.patch
    - wheel_file.zipfile-is-moved-in-recent-wheel.patch

514e3b2... by Ondřej Nový on 2018-09-05

Import patches-unapplied version 4.2.0-4 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 4cf1517b4052cf7c29878ca133ff84794e34f4fe

New changelog entries:
  * Add python{,3}-setuptools into runtime depends

4cf1517... by Thomas Goirand <email address hidden> on 2018-09-03

Import patches-unapplied version 4.2.0-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: e50d82cabe4f42ef720bf95b9cba027b1988d77c

New changelog entries:
  * Uploading to unstable.

e50d82c... by Thomas Goirand <email address hidden> on 2018-08-20

Import patches-unapplied version 4.2.0-2 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: c63f361cbb29a445546ffab93074542945da1220

New changelog entries:
  * Add <!nocheck> in debian/control.

c63f361... by Thomas Goirand <email address hidden> on 2018-08-20

Import patches-unapplied version 4.2.0-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: fca9e062b4abab00a5c674f9aefd936bc8329e9d

New changelog entries:
  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format
  * d/control: Use <email address hidden> as maintainer
  [ Thomas Goirand ]
  * New upstream release (Closes: #894811).
  * Fixed (build-)depends for this release.
  * Using Python 3 to build the doc.

fca9e06... by Thomas Goirand <email address hidden> on 2017-11-10

Import patches-unapplied version 3.1.1-4 to debian/sid

Imported using git-ubuntu import.

Changelog parent: c1ed08d1d3134efac2f9f9ab039e8da98d7371ca

New changelog entries:
  * Add back debian/tests/unit.

c1ed08d... by Thomas Goirand <email address hidden> on 2017-11-08

Import patches-unapplied version 3.1.1-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: c5032fb7460c65f506411013b6d087b1d315bf46

New changelog entries:
  * Defines http_proxy and https_proxy to avoid accessing internet during the
    unit tests.
  * Blacklist test_packaging.TestRequirementParsing.test_requirement_parsing()
    which fails with the above set-up (Closes: #877252).

c5032fb... by Thomas Goirand <email address hidden> on 2017-10-28

Import patches-unapplied version 3.1.1-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 5ac44117b01d945c7150519b903282cd5a9e8f6a

New changelog entries:
  [ Daniel Baumann ]
  * Updating standards version to 4.1.0.
  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed Standards-Version to 4.1.1.
  * Remove not-needed version in (build-)depends.
  * Watch file uses HTTPS.
  * debian/rules: Remove things defined in openstack-pkg-tools.
  * Using pkgos-dh_auto_install.

5ac4411... by Ondřej Nový on 2017-08-08

Import patches-unapplied version 3.1.1-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 0a9eac1e7657a07271fbb58abefe4c76a9468c2f

New changelog entries:
  * Team upload.
  [ Daniel Baumann]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  [ Thomas Goirand ]
  * New upstream release (Closes: #868615, #868976).
  * Fixed (build-)depends.
  * Removed patch folder.
  * Removed setting-up of http_proxy in debian/rules, as this breaks tests.
    TODO: check it doesn't requires network to build now.
  * Remove doc/source/static/nature.css from debian/copyright as it is also
    removed upstream.
  * Removed XS-Testsuite field from debian/control.
  * Standards-Version is now 4.0.0 (no change).
  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol
  * Add d/p/disable_tests.patch

0a9eac1... by Thomas Goirand <email address hidden> on 2016-09-21

Import patches-unapplied version 1.10.0-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 01c04d6162962db1dd1a34da7bed347cb6a3859a

New changelog entries:
  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol
  [ Thomas Goirand ]
  * New upstream release.
  * Using OpenStack's Gerrit as VCS URLs.
  * Remove non-relevant anymore Python 3.2 patch.
  * Added python{3,}-wheel as build-depends-indep (used in tests).
  * Black list 3 unit tests:
    - test_packaging.TestRequirementParsing.test_requirement_parsing (failing)
    - test_wsgi.TestWsgiScripts.test_with_argument (doing network access)
    - test_wsgi.TestWsgiScripts.test_wsgi_script_run (doing network access)
  * Fixed debian/copyright ordering.
  * Add debian/source.lintian-overrides to suppress warning:
    build-depends-on-python-dev-with-no-arch-any (python-dev needed for tests).
  * Standards-Version: 3.9.8 (no change).
  * Updated long desc.
  * Using pkgos-dh_auto_install.
  * Add gnupg as build-depends (Closes: #834684).